<div class="row">
    <div class="basic-info">
        <div class="machine-img" [ngStyle]="imageStyle()"></div>

        <span class="name">{{ machine.name }}</span>
    </div>

    <div class="state">
        <mat-icon>pending_actions</mat-icon>
        {{ machine.state ? 'Disponível' : 'Indisponível' }}
    </div>

    <div class="actions">
        <ng-template [ngIf]="machine.qrcode">
            <button
                mat-icon-button
                color="primary"
                (click)="openViewQRCodeDialog()"
            >
                <mat-icon>qr_code</mat-icon>
            </button>
        </ng-template>
        <button mat-icon-button color="primary" (click)="openViewDialog()">
            <mat-icon>visibility</mat-icon>
        </button>
        <button mat-icon-button color="accent">
            <mat-icon>edit</mat-icon>
        </button>
        <button mat-icon-button color="warn" (click)="openDeleteDialog()">
            <mat-icon>delete</mat-icon>
        </button>
    </div>
</div>
